{% extends 'x86.jinja2' %}
{% set power_on_command = 'ipmitool -U power -P poweradmin -I lanplus -H 172.27.19.22 chassis power on' %}
{% set power_off_command = 'ipmitool -U power -P poweradmin -I lanplus -H 172.27.19.22 chassis power off' %}
{% set hard_reset_command = [
 'ipmitool -U power -P poweradmin -I lanplus -H 172.27.19.22 chassis power reset',
  'sleep 5',
  'ipmitool -U power -P poweradmin -I lanplus -H 172.27.19.22 chassis power on']
%}
{% set connection_command = 'telnet lngmaster 7324' %}
{% set lava_mac = '94:18:82:71:58:30' %}
{% set boot_interface = 'net1' %}
{% set interfaces = [
 'MAC 30',
 'MAC 31',
 'MAC 32',
 'MAC 33',
 'MAC 30 (QSFP+)',
 'MAC 38 (QSFP+)']
%}
{% set map = {
 'MAC 30': {'lngswitch01': 13},
 'MAC 31': {'lngswitch01': 12},
 'MAC 32': {'lngswitch01': 36},
 'MAC 33': {'lngswitch01': 37},
 'MAC 30 (QSFP+)': {'lngswitch04': 17},
 'MAC 38 (QSFP+)': {'lngswitch04': 15}}
%}
{% set tags = {
 'MAC 30': [],
 'MAC 31': ['RJ45', '10M', '100M', '1G'],
 'MAC 32': ['RJ45', '10M', '100M', '1G'],
 'MAC 33': ['RJ45', '10M', '100M', '1G'],
 'MAC 30 (QSFP+)': ['QSFP+', '40G'],
 'MAC 38 (QSFP+)': ['QSFP+', '40G']}
%}
{% set sysfs = {
 'MAC 30': '/sys/devices/pci0000:00/0000:00:1c.4/0000:02:00.0/net',
 'MAC 31': '/sys/devices/pci0000:00/0000:00:1c.4/0000:02:00.1/net',
 'MAC 32': '/sys/devices/pci0000:00/0000:00:1c.4/0000:02:00.2/net',
 'MAC 33': '/sys/devices/pci0000:00/0000:00:1c.4/0000:02:00.3/net',
 'MAC 30 (QSFP+)': '/sys/devices/pci0000:00/0000:00:03.0/0000:08:00.4/net/ens1f4',
 'MAC 38 (QSFP+)': '/sys/devices/pci0000:00/0000:00:03.0/0000:08:00.4/net/ens1f4d1'}
%}
{% set mac_addr = {
 'MAC 30': '94:18:82:71:58:30',
 'MAC 31': '94:18:82:71:58:31',
 'MAC 32': '94:18:82:71:58:32',
 'MAC 33': '94:18:82:71:58:33',
 'MAC 30 (QSFP+)': '00:07:43:34:96:30',
 'MAC 38 (QSFP+)': '00:07:43:34:96:38'}
%}

{% set sync_to_lava = {'device_type': 'x86', 'worker': 'lngmaster.lnglab', 'tags': [], 'aliases': []} %}